Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<DefaultProperty("ContractHandlingPlace")> _
Public Class APCSheetContractHandlingPlace
    Inherits BaseObject

    Private _ContractHandlingPlace As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <RuleRequiredField("APCSheetContractHandlingPlace - ContractHandlingPlace", DefaultContexts.Save)> _
    Property ContractHandlingPlace As String
        Get
            Return _ContractHandlingPlace
        End Get
        Set(value As String)
            SetPropertyValue("ContractHandlingPlace", _ContractHandlingPlace, value)
        End Set
    End Property
End Class
